Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.pk
Class KeyStoreImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.pk.KeyStoreImpl

public class KeyStoreImpl
extends ProviderImpl

KeyStoreImpl This is the class that all KeyStore security providers should extend to implement their security provider's configuration data, should additional data be needed. Some KeyStore security providers may find that this class provides all needed API for their configuration, and so would not extend this class.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `KeyStoreImpl(ModelMBean base)` Constructor for the KeyStoreImpl object
`protected` | `KeyStoreImpl(RequiredModelMBean base)`

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreImpl

    public KeyStoreImpl(ModelMBean base)
                 throws MBeanException

  Constructor for the KeyStoreImpl object

Throws:
  `MBeanException` - Description of the Exception

### KeyStoreImpl

    protected KeyStoreImpl(RequiredModelMBean base)
                    throws MBeanException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD